<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: Device/Nuvoton/Nano1X2Series/Source/GCC/semihosting.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_92781df0a275b97b29ea05f684c53720.html">Nano1X2Series</a></li><li class="navelem"><a class="el" href="../../dir_a9675d3fe69a6956120b6eac8ec66ca6.html">Source</a></li><li class="navelem"><a class="el" href="../../dir_d597a4f12eb693ab15e9b0230738caf6.html">GCC</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">semihosting.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d32/semihosting_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#ifndef ARM_SEMIHOSTING_H_</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#define ARM_SEMIHOSTING_H_</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">// ----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">// Semihosting operations.</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955">    8</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955">OperationNumber</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="comment">// Regular operations</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4">   11</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4">SEMIHOSTING_EnterSVC</a> = 0x17,</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f">   12</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f">SEMIHOSTING_ReportException</a> = 0x18,</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191">   13</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191">SEMIHOSTING_SYS_CLOSE</a> = 0x02,</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1">   14</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1">SEMIHOSTING_SYS_CLOCK</a> = 0x10,</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac">   15</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac">SEMIHOSTING_SYS_ELAPSED</a> = 0x30,</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9">   16</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9">SEMIHOSTING_SYS_ERRNO</a> = 0x13,</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd">   17</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd">SEMIHOSTING_SYS_FLEN</a> = 0x0C,</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6">   18</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6">SEMIHOSTING_SYS_GET_CMDLINE</a> = 0x15,</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90">   19</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90">SEMIHOSTING_SYS_HEAPINFO</a> = 0x16,</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99">   20</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99">SEMIHOSTING_SYS_ISERROR</a> = 0x08,</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293">   21</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293">SEMIHOSTING_SYS_ISTTY</a> = 0x09,</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8">   22</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8">SEMIHOSTING_SYS_OPEN</a> = 0x01,</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585">   23</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585">SEMIHOSTING_SYS_READ</a> = 0x06,</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22">   24</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22">SEMIHOSTING_SYS_READC</a> = 0x07,</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c">   25</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c">SEMIHOSTING_SYS_REMOVE</a> = 0x0E,</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8">   26</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8">SEMIHOSTING_SYS_RENAME</a> = 0x0F,</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058">   27</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058">SEMIHOSTING_SYS_SEEK</a> = 0x0A,</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b">   28</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b">SEMIHOSTING_SYS_SYSTEM</a> = 0x12,</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0">   29</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0">SEMIHOSTING_SYS_TICKFREQ</a> = 0x31,</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9">   30</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9">SEMIHOSTING_SYS_TIME</a> = 0x11,</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93">   31</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93">SEMIHOSTING_SYS_TMPNAM</a> = 0x0D,</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3">   32</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3">SEMIHOSTING_SYS_WRITE</a> = 0x05,</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6">   33</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6">SEMIHOSTING_SYS_WRITEC</a> = 0x03,</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51">   34</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51">SEMIHOSTING_SYS_WRITE0</a> = 0x04,</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// Codes returned by SEMIHOSTING_ReportException</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2">   37</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2">ADP_Stopped_ApplicationExit</a> = ((2 &lt;&lt; 16) + 38),</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393">   38</a></span>    <a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393">ADP_Stopped_RunTimeError</a> = ((2 &lt;&lt; 16) + 35),</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>};</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">// ----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">// SWI numbers and reason codes for RDI (Angel) monitors.</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a799889dbbe0f2a2ba0fd045ab9155c0d">   45</a></span><span class="preprocessor">#define AngelSWI_ARM                    0x123456</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">#ifdef __thumb__</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#define AngelSWI                        0xAB</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a52405d1acc07639f9f6cb1693d5437e0">   49</a></span><span class="preprocessor">#define AngelSWI                        AngelSWI_ARM</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">// For thumb only architectures use the BKPT instruction instead of SWI.</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#if defined(__ARM_ARCH_7M__)     \</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">    || defined(__ARM_ARCH_7EM__) \</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">    || defined(__ARM_ARCH_6M__)</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="preprocessor">#define AngelSWIInsn                    &quot;bkpt&quot;</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="preprocessor">#define AngelSWIAsm                     bkpt</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a0096307232da04e85affd90d3753e5c1">   58</a></span><span class="preprocessor">#define AngelSWIInsn                    &quot;swi&quot;</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#ad6e808da9f5f2ccdc14571bb3be30030">   59</a></span><span class="preprocessor">#define AngelSWIAsm                     swi</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">#if defined(OS_DEBUG_SEMIHOSTING_FAULTS)</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment">// Testing the local semihosting handler cannot use another BKPT, since this</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">// configuration cannot trigger HaedFault exceptions while the debugger is</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">// connected, so we use an illegal op code, that will trigger an</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">// UsageFault exception.</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="preprocessor">#define AngelSWITestFault       &quot;setend be&quot;</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#define AngelSWITestFaultOpCode (0xB658)</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">int</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a98e2c4eea386fd66abf40bce60154756">   72</a></span><a class="code hl_function" href="../../d5/d32/semihosting_8h.html#a98e2c4eea386fd66abf40bce60154756">__attribute__</a> ((always_inline))</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">   73</a></span>call_host (<span class="keywordtype">int</span> reason, <span class="keywordtype">void</span>* <a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a>)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>{</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">   76</a></span>    <span class="keyword">asm</span> <span class="keyword">volatile</span> (</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="stringliteral">&quot; mov r0, %[rsn]  \n&quot;</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="stringliteral">&quot; mov r1, %[arg]  \n&quot;</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="preprocessor">#if defined(OS_DEBUG_SEMIHOSTING_FAULTS)</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="stringliteral">&quot; &quot;</span> AngelSWITestFault <span class="stringliteral">&quot; \n&quot;</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="stringliteral">&quot; &quot;</span> <a class="code hl_define" href="../../d5/d32/semihosting_8h.html#a0096307232da04e85affd90d3753e5c1">AngelSWIInsn</a> <span class="stringliteral">&quot; %[swi] \n&quot;</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="stringliteral">&quot; mov %[val], r0&quot;</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        : [val] <span class="stringliteral">&quot;=r&quot;</span> (<a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>) <span class="comment">/* Outputs */</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        : [rsn] <span class="stringliteral">&quot;r&quot;</span> (reason), [<a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a>] <span class="stringliteral">&quot;r&quot;</span> (<a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a>), [swi] <span class="stringliteral">&quot;i&quot;</span> (<a class="code hl_define" href="../../d5/d32/semihosting_8h.html#a52405d1acc07639f9f6cb1693d5437e0">AngelSWI</a>) <span class="comment">/* Inputs */</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        : <span class="stringliteral">&quot;r0&quot;</span>, <span class="stringliteral">&quot;r1&quot;</span>, <span class="stringliteral">&quot;r2&quot;</span>, <span class="stringliteral">&quot;r3&quot;</span>, <span class="stringliteral">&quot;ip&quot;</span>, <span class="stringliteral">&quot;lr&quot;</span>, <span class="stringliteral">&quot;memory&quot;</span>, <span class="stringliteral">&quot;cc&quot;</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="comment">// Clobbers r0 and r1, and lr if in supervisor mode</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">// Accordingly to page 13-77 of ARM DUI 0040D other registers</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="comment">// can also be clobbered. Some memory positions may also be</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="comment">// changed by a system call, so they should not be kept in</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// registers. Note: we are assuming the manual is right and</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// Angel is respecting the APCS.</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">   98</a></span>    <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>}</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="comment">// ----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="comment">// Function used in _exit() to return the status code as Angel exception.</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">void</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d5/d32/semihosting_8h.html#a8743fdbc616b2f214ae41792ab811610">  105</a></span><a class="code hl_function" href="../../d5/d32/semihosting_8h.html#a98e2c4eea386fd66abf40bce60154756">__attribute__</a> ((always_inline,noreturn))</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>report_exception (<span class="keywordtype">int</span> reason)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>{</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    call_host (<a class="code hl_enumvalue" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f">SEMIHOSTING_ReportException</a>, (<span class="keywordtype">void</span>*) reason);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="keywordflow">for</span> (;;)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        ;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="comment">// ----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="preprocessor">#endif </span><span class="comment">// ARM_SEMIHOSTING_H_</span></div>
<div class="ttc" id="asemihosting_8h_html_a0096307232da04e85affd90d3753e5c1"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a0096307232da04e85affd90d3753e5c1">AngelSWIInsn</a></div><div class="ttdeci">#define AngelSWIInsn</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00058">semihosting.h:58</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955">OperationNumber</a></div><div class="ttdeci">OperationNumber</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00008">semihosting.h:9</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0">SEMIHOSTING_SYS_TICKFREQ</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_TICKFREQ</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00029">semihosting.h:29</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393">ADP_Stopped_RunTimeError</a></div><div class="ttdeci">@ ADP_Stopped_RunTimeError</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00038">semihosting.h:38</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f">SEMIHOSTING_ReportException</a></div><div class="ttdeci">@ SEMIHOSTING_ReportException</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00012">semihosting.h:12</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99">SEMIHOSTING_SYS_ISERROR</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_ISERROR</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00020">semihosting.h:20</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4">SEMIHOSTING_EnterSVC</a></div><div class="ttdeci">@ SEMIHOSTING_EnterSVC</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00011">semihosting.h:11</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3">SEMIHOSTING_SYS_WRITE</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_WRITE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00032">semihosting.h:32</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd">SEMIHOSTING_SYS_FLEN</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_FLEN</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00017">semihosting.h:17</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6">SEMIHOSTING_SYS_GET_CMDLINE</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_GET_CMDLINE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00018">semihosting.h:18</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c">SEMIHOSTING_SYS_REMOVE</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_REMOVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00025">semihosting.h:25</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058">SEMIHOSTING_SYS_SEEK</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_SEEK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00027">semihosting.h:27</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93">SEMIHOSTING_SYS_TMPNAM</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_TMPNAM</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00031">semihosting.h:31</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2">ADP_Stopped_ApplicationExit</a></div><div class="ttdeci">@ ADP_Stopped_ApplicationExit</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00037">semihosting.h:37</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9">SEMIHOSTING_SYS_TIME</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_TIME</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00030">semihosting.h:30</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1">SEMIHOSTING_SYS_CLOCK</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_CLOCK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00014">semihosting.h:14</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6">SEMIHOSTING_SYS_WRITEC</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_WRITEC</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00033">semihosting.h:33</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9">SEMIHOSTING_SYS_ERRNO</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_ERRNO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00016">semihosting.h:16</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293">SEMIHOSTING_SYS_ISTTY</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_ISTTY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00021">semihosting.h:21</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90">SEMIHOSTING_SYS_HEAPINFO</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_HEAPINFO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00019">semihosting.h:19</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51">SEMIHOSTING_SYS_WRITE0</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_WRITE0</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00034">semihosting.h:34</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac">SEMIHOSTING_SYS_ELAPSED</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_ELAPSED</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00015">semihosting.h:15</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585">SEMIHOSTING_SYS_READ</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_READ</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00023">semihosting.h:23</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b">SEMIHOSTING_SYS_SYSTEM</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_SYSTEM</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00028">semihosting.h:28</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191">SEMIHOSTING_SYS_CLOSE</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_CLOSE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00013">semihosting.h:13</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22">SEMIHOSTING_SYS_READC</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_READC</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00024">semihosting.h:24</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8">SEMIHOSTING_SYS_OPEN</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_OPEN</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00022">semihosting.h:22</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8">SEMIHOSTING_SYS_RENAME</a></div><div class="ttdeci">@ SEMIHOSTING_SYS_RENAME</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00026">semihosting.h:26</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a40c15747aa7d502fffebb8862d494b52"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a></div><div class="ttdeci">static int void * arg</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00073">semihosting.h:74</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a52405d1acc07639f9f6cb1693d5437e0"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a52405d1acc07639f9f6cb1693d5437e0">AngelSWI</a></div><div class="ttdeci">#define AngelSWI</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00049">semihosting.h:49</a></div></div>
<div class="ttc" id="asemihosting_8h_html_a98e2c4eea386fd66abf40bce60154756"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#a98e2c4eea386fd66abf40bce60154756">__attribute__</a></div><div class="ttdeci">static int __attribute__((always_inline)) call_host(int reason</div></div>
<div class="ttc" id="asemihosting_8h_html_aacce635d68067370c70caa2381ea1040"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></div><div class="ttdeci">return value</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00098">semihosting.h:98</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
